Skip to main content
PATCH
Update localized content
This feature only works when editing journeys created in Vero 1.0 (known as workflows) at the present time. You can add content to journeys created in Vero 2.0 but this feature is not yet supported in the Vero 2.0 UI.

Authorizations

Authorization
string
header
required

Accepts either a raw API key or Bearer <key>.

Headers

revision
string

Optional dated API revision for the request. Must use YYYY-MM-DD format.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-03-01"

Path Parameters

journey_id
integer
required

Journey ID.

message_id
integer
required

Message ID.

id
integer
required

Content ID.

Body

application/json
locale
string

New locale for a localized content. The default content's locale cannot be changed, and a locale already used on this message is rejected.

Maximum string length: 255
subject
string | null

Subject line. Omit to leave it unchanged.

preheader_text
string | null

Preheader text. Omit to leave it unchanged.

content
object

Channel content body — exactly one of mjml, html, text, or payload.

Response

Journey content updated.

id
integer
required
locale
string | null
required
is_default
boolean
required
subject
string | null
required
preheader_text
string | null
required
content
object
required

Channel content body — exactly one of mjml, html, text, or payload.